Page MenuHomePhabricator

llvm-readobj: enable GNU style -g option
ClosedPublic

Authored by khemant on Mar 2 2016, 11:03 AM.

Diff Detail

Repository
rL LLVM

Event Timeline

khemant updated this revision to Diff 49648.Mar 2 2016, 11:03 AM
khemant retitled this revision from to llvm-readobj: enable GNU style -g option.
khemant updated this object.
khemant added reviewers: echristo, rafael.
khemant set the repository for this revision to rL LLVM.
khemant added subscribers: llvm-commits, echristo, rafael.
rafael added inline comments.Mar 4 2016, 2:32 PM
tools/llvm-readobj/ELFDumper.cpp
2331 ↗(On Diff #49648)

replace auto with type.

2339 ↗(On Diff #49648)

This can be a range loop over Data.slice(1).

khemant updated this revision to Diff 50053.Mar 8 2016, 10:41 AM

Suggestion by Rafael incorporated:
Changed auto to ArrayRef<Elf_Word>
Removed while() {} and used range based loops.

khemant marked 2 inline comments as done.Mar 8 2016, 10:42 AM
rafael accepted this revision.Mar 8 2016, 2:59 PM
rafael edited edge metadata.

LGTM

This revision is now accepted and ready to land.Mar 8 2016, 2:59 PM
This revision was automatically updated to reflect the committed changes.